Regression from GeoServer 2.5.1 - adding coverage store with cURL

Description

I can't add coverage store via REST anymore. Though my script is still working in GeoServer version 2.5.1. Now GeoServer returns error "Store must be part of a workspace".

I've attached error log and archive with .tif, .bat and curl files. Make sure to change .bat content according to your environment.

Environment

Windows 7 x64, Tomcat 8.0.21 x64

Status

Assignee

Unassigned

Reporter

Sergey Kolosov

Triage

Fix versions

None

Affects versions

2.7.2
2.9.0

Components

Priority

Medium